SDL_HINT_JOYSTICK_HIDAPI_STEAM_HOME_LED(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_STEAM_HOME_LED - A variable controlling whether the Steam button LED should be turned on when a Steam controller is opened.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_STEAM_HOME_LED "SDL_JOYSTICK_HIDAPI_STEAM_HOME_LED"

DESCRIPTION
The variable can be set to the following values:

• "0": Steam button LED is turned off.

• "1": Steam button LED is turned on.

By default the Steam button LED state is not changed. This hint can also be set to a floating point value between 0.0 and 1.0 which controls the brightness of the Steam button LED.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.